[v-cloak] {
    display: none !important;
}

/* .ad-container{
    width: 100%;
    height: 250px;
    background-color: #ccc;
    margin: 1.25rem auto;
} */
[flex-center] {
    display: flex;
    align-items: center;
    justify-content: center;
}

[flex-around] {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

[flex-between] {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

[flex-shrink] {
    flex-shrink: 0;
}

[flex-align="start"] {
    align-items: start;
}

[flex-align="end"] {
    align-items: end;
}

[flex="auto"] {
    flex: auto;
}

[textLine="1"] {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

[textLine="2"] {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

[textLine="3"] {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

[textLine="4"] {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
}

html,
body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    position: relative;
    background: #F2EEE5;
}

* {
    box-sizing: border-box;
}

a {
    display: block;
    text-decoration: none;
}

a img {
    display: block;
}

.news_img {
    object-fit: cover;
}

#app {
    width: 100%;
}

/* header strat */
header {
    height: 3.3438rem;
    padding: 0 1.17rem;
    position: relative;
}

header>div:nth-child(1) {
    width: 2.6875rem;
}

header>div:nth-child(3) {
    width: 2.6875rem;
    gap: .6875rem;
}

header .back img {
    width: 1.125rem;
    height: 1.125rem;
}

header .search {
    width: 1rem;
    height: 1rem;
}

header .menu {
    width: 1.125rem;
    height: 1.125rem;
}

header .logo img {
    width: 6.875rem;
    height: 1.125rem;
}

/* header end */

/* search  start*/

.search_box input {
    font-family: 'Roboto 400', sans-serif;
    margin: 1.5rem auto 1.375rem;
    width: 18.75rem;
    height: 2.38rem;
    border-radius: 1.19rem;
    background: #D2B5BA;
    border: .0313rem solid #5C4C42;
    font-size: 0.88rem;
    padding: 0 .75rem;
    color: #5C4C42;
    outline: none;
    display: block;
}

.search_box input::placeholder {
    color: #5C4C42;
    font-family: 'Roboto 400', sans-serif;
}

/* search end */
footer {
    text-align: center;
    font-size: .75rem;
    line-height: 1rem;
    --tw-text-opacity: 1;
    color: #5C4C42;
    font-family: 'Roboto 400', sans-serif;
    padding: 1rem 0;
    border-top: 1px solid rgba(77, 77, 77, 0.3);
}

footer div:nth-child(1) {
    margin-bottom: 0.5rem;
}

footer span {
    margin: 0 0.625rem;
    opacity: 0.7;
    font-size: 0.75rem;
}

footer a {
    color: #5C4C42;
    text-transform: uppercase;
    font-size: .75rem;
    letter-spacing: 0.03em;
    font-family: 'Roboto 400', sans-serif;
}

/* menu */
.menu_pannel {
    display: none;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    max-width: 450px;
    height: 100vh;
    width: 100%;
    z-index: 10;
    overflow-y: scroll;
    background: #F2EEE5;
}

.menu_pannel header::before {
    display: none;
}

.menu_pannel .back {
    width: 1.125rem;
    height: 1.125rem;
}

.menu_pannel .menu_container {
    padding: 0 1rem;
}

.menu_pannel .menu_container {
    margin-top: 1.875rem;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 1rem;
    row-gap: 2.0938rem;
}

.menu_pannel .menu_container .menu_item .img-box {
    width: 100%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    background: #F2E1D7;
}

.menu_pannel .menu_container .menu_item .img-box img {
    width: 2.125rem;
    height: 1.8125rem;
    object-fit: cover;
    display: block;
}

.menu_pannel .menu_container .cat_name {
    font-family: 'Playfair Display SC 400', sans-serif;
    font-size: .6875rem;
    letter-spacing: 0em;
    color: #3D3D3D;
    white-space: wrap;
    text-align: center;
    min-height: 1.9375rem;
    display: flex;
    align-items: center;
    justify-content: center;
}